Functions
FLAG_Management
Peripheral Driver » LL Driver » DUAL_TIMER » Functions

## Functions
__STATIC_INLINE void | ll_dual_timer_clear_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the interrupt flag (INTSTAT). More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_active_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether interrupt flag (INTSTAT) is set (interrupt is pending). More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_raw_it_flag (dual_timer_regs_t *DUAL_TIMERx)
| Get Dual_timer raw interrupt flags. More...
__STATIC_INLINE uint32_t | ll_dual_timer_get_it_flag (dual_timer_regs_t *DUAL_TIMERx)
| Get dual timer interrupt flag. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_action_start_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer start. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_ioa_action_c1_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer value meets to COUNT_A1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_ioa_action_c2_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer value meets to COUNT_A2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_action_period_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer value meets to 0. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_action_stop_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer stop. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_iob_action_c1_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer value meets to COUNT_B1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_iob_action_c2_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer value meets to COUNT_B2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_ioc_action_c1_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer value meets to COUNT_C1IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_ioc_action_c2_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether action interrupt flag is set when timer value meets to COUNT_C2IO. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_ble_pulse1_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether interrupt flag is set when timer value meets to BLE_COUNT1. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_ble_pulse2_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether interrupt flag is set when timer value meets to BLE_COUNT2. More...
__STATIC_INLINE void | ll_dual_timer_clear_act_start_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the start action interrupt flag. More...
__STATIC_INLINE void | ll_dual_timer_clear_ioa_act_c1_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the ioa action interrupt flag when timer value meets to COUNT_A1IO. More...
__STATIC_INLINE void | ll_dual_timer_clear_ioa_act_c2_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the ioa action interrupt flag when timer value meets to COUNT_A2IO. More...
__STATIC_INLINE void | ll_dual_timer_clear_act_period_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the period action interrupt flag. More...
__STATIC_INLINE void | ll_dual_timer_clear_act_stop_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the stop action interrupt flag. More...
__STATIC_INLINE void | ll_dual_timer_clear_iob_act_c1_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the iob action interrupt flag when timer value meets to COUNT_B1IO. More...
__STATIC_INLINE void | ll_dual_timer_clear_iob_act_c2_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the iob action interrupt flag when timer value meets to COUNT_B2IO. More...
__STATIC_INLINE void | ll_dual_timer_clear_ioc_act_c1_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the ioc action interrupt flag when timer value meets to COUNT_C1IO. More...
__STATIC_INLINE void | ll_dual_timer_clear_ioc_act_c2_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the ioc action interrupt flag when timer value meets to COUNT_C2IO. More...
__STATIC_INLINE void | ll_dual_timer_clear_ble_pulse1_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the interrupt flag when timer value meets to BLE_COUNT1. More...
__STATIC_INLINE void | ll_dual_timer_clear_ble_pulse2_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear the interrupt flag when timer value meets to BLE_COUNT2. More...
__STATIC_INLINE void | ll_dual_timer_clear_act_all_flag_it (dual_timer_regs_t *DUAL_TIMERx)
| Clear all of the io action interrupt flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_dual_timer_clear_act_all_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_act_all_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear all of the io action interrupt flag.

Register|BitsName --------|-------- IO_BLE_INTCLR | ACT_ALL_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2667 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_act_period_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_act_period_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the period action interrupt flag.

Register|BitsName --------|-------- IO_BLE_INTCLR | ACT_PERIOD_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2547 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_act_start_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_act_start_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the start action interrupt flag.

Register|BitsName --------|-------- IO_BLE_INTCLR | ACT_START_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2502 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_act_stop_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_act_stop_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the stop action interrupt flag.

Register|BitsName --------|-------- IO_BLE_INTCLR | ACT_STOP_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2562 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_ble_pulse1_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_ble_pulse1_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the interrupt flag when timer value meets to BLE_COUNT1.

Register|BitsName --------|-------- IO_BLE_INTCLR | BLEPULSE1_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2637 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_ble_pulse2_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_ble_pulse2_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the interrupt flag when timer value meets to BLE_COUNT2.

Register|BitsName --------|-------- IO_BLE_INTCLR | BLEPULSE2_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2652 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the interrupt flag (INTSTAT).

Register|BitsName --------|-------- INTCLR | INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2277 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_ioa_act_c1_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_ioa_act_c1_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the ioa action interrupt flag when timer value meets to COUNT_A1IO.

Register|BitsName --------|-------- IO_BLE_INTCLR | IOA_ACT_C1_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2517 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_ioa_act_c2_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_ioa_act_c2_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the ioa action interrupt flag when timer value meets to COUNT_A2IO.

Register|BitsName --------|-------- IO_BLE_INTCLR | IOA_ACT_C2_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2532 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_iob_act_c1_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_iob_act_c1_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the iob action interrupt flag when timer value meets to COUNT_B1IO.

Register|BitsName --------|-------- IO_BLE_INTCLR | IOB_ACT_C1_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2577 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_iob_act_c2_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_iob_act_c2_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the iob action interrupt flag when timer value meets to COUNT_B2IO.

Register|BitsName --------|-------- IO_BLE_INTCLR | IOB_ACT_C2_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2592 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_ioc_act_c1_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_ioc_act_c1_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the ioc action interrupt flag when timer value meets to COUNT_C1IO.

Register|BitsName --------|-------- IO_BLE_INTCLR | IOC_ACT_C1_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2607 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_clear_ioc_act_c2_flag_it()

__STATIC_INLINE void ll_dual_timer_clear_ioc_act_c2_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Clear the ioc action interrupt flag when timer value meets to COUNT_C2IO.

Register|BitsName --------|-------- IO_BLE_INTCLR | IOC_ACT_C2_INTCLR

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 2622 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_it_flag()

__STATIC_INLINE uint32_t ll_dual_timer_get_it_flag | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get dual timer interrupt flag.

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  interrupt | flag

Definition at line 2322 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_get_raw_it_flag()

__STATIC_INLINE uint32_t ll_dual_timer_get_raw_it_flag | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Get Dual_timer raw interrupt flags.

Register|BitsName --------|-------- RAW_INTSTAT | RAW_INTSTAT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2307 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_action_period_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_action_period_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer value meets to 0.

Register|BitsName --------|-------- INTSTAT | ACT_PERIOD

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2382 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_action_start_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_action_start_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer start.

Register|BitsName --------|-------- INTSTAT | ACT_START

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2337 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_action_stop_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_action_stop_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer stop.

Register|BitsName --------|-------- INTSTAT | ACT_STOP

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2397 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_active_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_active_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether interrupt flag (INTSTAT) is set (interrupt is pending).

Register|BitsName --------|-------- INTSTAT | INTSTAT

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2292 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_ble_pulse1_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_ble_pulse1_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether interrupt flag is set when timer value meets to BLE_COUNT1.

Register|BitsName --------|-------- INTSTAT | BLEPULSE1

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2472 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_ble_pulse2_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_ble_pulse2_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether interrupt flag is set when timer value meets to BLE_COUNT2.

Register|BitsName --------|-------- INTSTAT | BLEPULSE2

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2487 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_ioa_action_c1_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_ioa_action_c1_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer value meets to COUNT_A1IO.

Register|BitsName --------|-------- INTSTAT | IOA_ACT_C1

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2352 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_ioa_action_c2_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_ioa_action_c2_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer value meets to COUNT_A2IO.

Register|BitsName --------|-------- INTSTAT | IOA_ACT_C2

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2367 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_iob_action_c1_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_iob_action_c1_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer value meets to COUNT_B1IO.

Register|BitsName --------|-------- INTSTAT | IOB_ACT_C1

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2412 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_iob_action_c2_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_iob_action_c2_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer value meets to COUNT_B2IO.

Register|BitsName --------|-------- INTSTAT | IOB_ACT_C2

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2427 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_ioc_action_c1_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_ioc_action_c1_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer value meets to COUNT_C1IO.

Register|BitsName --------|-------- INTSTAT | IOC_ACT_C1

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2442 of file gr533x_ll_dual_tim.h.

## ◆ ll_dual_timer_is_ioc_action_c2_flag_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_ioc_action_c2_flag_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether action interrupt flag is set when timer value meets to COUNT_C2IO.

Register|BitsName --------|-------- INTSTAT | IOC_ACT_C2

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 2457 of file gr533x_ll_dual_tim.h.